Subject: Re: Cygwin newbie questions
From: [email-masked] (Jeff Sturm)

12 Sep 1998 21:25:34 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Steve Grubbs <[email-masked]>
Cc: [email-masked]

Steve Grubbs wrote:
> 1) At my new job, I'm working under WinNT, but we use good ol' CVS for revision
> control (archive is on a Unix box). I don't really know the source of the "cvs"
> executable (our 2 main sysadmins just left within 2 weeks, so nobody I've asked
> really knows where they came from). The problem is that it doesn't work under
> cygwin. It works fine from a cmd prompt, but if I run it from cygwin, I get no
> output. I don't get "command not found", I just get nothing. Any ideas what's up
> with this?
> BTW, I test this with safe cvs commands like "cvs -v", which should work even if
> cvs settings were messed up.

Hi Steve,

We use CVS over NT extensively.  After trying the several command-line
tools available from www.cyclic.com (and pulling out much hair dealing
with buggy CRLF translations) I found that compiling CVS from scratch
under cygwin32 is by far the best option.  For CVS use alone I have
installed a subset of cygwin32 on over a dozen workstations at our
site.  You can get the same at ftp://ftp.sigma6.com/pub/cvs/cygcvs.zip
if you happen to need a scaled-down cygwin32 package for CVS use.

> 2) One thought I had was to download cvs source and compile it under cygwin.
> When I try to run "configure", though, I get "bash: ./configure: No such file or
> directory". But configure IS there.... What's up with that? Does configure not
> work? Do I just have to edit the Makefile myself?

CVS *does* compile out-of-the-box on gnu-win32.  Chances are the
configure script is looking for /bin/sh.  Do you have a mount under
/bin?  I use:

    mount -b C:/Cygnus/B19/bin /bin

so that tools hardwired for /bin/sh will work.

Also, CVS *requires* binary mounts.  All of my mounts are in binary
mode, plus I use binmode in my CYGWIN32 variable.

> 3) FTP hangs from cygwin. I assume its calling the WinNT ftp. Does this just not
> work? Do I need to get a different ftp for cygwin?

This is a known problem; I think it was solved with on of the updates. 
I'd suggest getting Sergey's coolview package from
ftp://www.lexa.ru/pub/domestic/sos/coolview.tar.gz (it has an updated
cygwinb19.dll) and enabling binmode and tty in your CYGWIN32 variable.

Also on Sergey's site is an inetutils package with cygwin32-native ftp
and telnet clients, among other things.

(Note that the cygcvs package on my site already has a recently-patched
cygwinb19.dll, plus CVS binaries and installation suggestions.)

-- 
Jeff Sturm
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".